StyledEditorKit.FontSizeAction (Java Platform SE 8 )
Keywords: javax.swing.text.StyledEditorKit.FontSizeAction class
Date: 2026-08-19

javax.swing.text

## Class StyledEditorKit.FontSizeAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - javax.swing.text.StyledEditorKit.StyledTextAction
      - - javax.swing.text.StyledEditorKit.FontSizeAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Enclosing class:
    StyledEditorKit

      public static class StyledEditorKit.FontSizeAction
      extends StyledEditorKit.StyledTextAction

  An action to set the font size in the associated JEditorPane. This will use the size specified as the command string on the ActionEvent if there is one, otherwise the size that was initialized with will be used.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontSizeAction(String nm, int size)` Creates a new FontSizeAction.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)` Sets the font size.

    - ### Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction

      `getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

    - ### Methods inherited from class javax.swing.text.TextAction

      `augmentList, getFocusedComponent, getTextComponent`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontSizeAction

          public FontSizeAction(String nm,
                                int size)

      Creates a new FontSizeAction.
      Parameters:
        `nm` - the action name
        `size` - the font size

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Sets the font size.
      Parameters:
        `e` - the action event

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.